import { DataFormat } from "select2";
export declare class Utils {
    static extractIdFromDataFormat(df: DataFormat): number;
    static hasDecimals(val: number): boolean;
    static isNullOrEmpty(str: string): boolean;
    static isNotEmpty(str: string): boolean;
    static arrayHasDuplicates(array: Array<any>): boolean;
    private static bodyFromHTML;
    static innerTextFromHTML(html: string): string;
    static innerHTMLFromHTML(html: string): string;
}
